JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
juce::midi_ci::PropertySubscriptionCommandUtils Struct Reference
juce_midi_ci » ci

Functions to use with PropertySubscriptionCommand. More...

`#include <juce_CIPropertyDelegate.h>`

## Public Member Functions
| PropertySubscriptionCommandUtils ()=delete

## Static Public Member Functions
static const char * | toString (PropertySubscriptionCommand x)
| Converts a command to a human-readable string.
static std::optional< PropertySubscriptionCommand > | toCommand (const char *str)
| Converts a command string from a property exchange JSON header to an PropertySubscriptionCommand.

## Detailed Description

Functions to use with PropertySubscriptionCommand.

## Constructor & Destructor Documentation

## ◆ PropertySubscriptionCommandUtils()

juce::midi_ci::PropertySubscriptionCommandUtils::PropertySubscriptionCommandUtils | ( |  | ) |
| delete

## Member Function Documentation

## ◆ toString()

static const char * juce::midi_ci::PropertySubscriptionCommandUtils::toString | ( | PropertySubscriptionCommand | x | ) |
| static

Converts a command to a human-readable string.

References JUCE_SUBSCRIPTION_COMMANDS, and x.

## ◆ toCommand()

static std::optional< PropertySubscriptionCommand > juce::midi_ci::PropertySubscriptionCommandUtils::toCommand | ( | const char * | str | ) |
| static

Converts a command string from a property exchange JSON header to an PropertySubscriptionCommand.

References JUCE_SUBSCRIPTION_COMMANDS.

The documentation for this struct was generated from the following file:

- juce_CIPropertyDelegate.h